var search_data = {"index":{"searchIndex":["music","chord","interval","note","-()","-@()","<=>()","<=>()","==()","chromatic_idx()","consonance?()","diatonic_idx()","diff()","dissonance?()","imperfect_consonance?()","name()","name()","new()","new()","new()","normalized_number()","notes()","perfect_consonance?()","pitch()","size()","to_s()","transpose_by()","transpose_by()","transpose_down()","transpose_down()","transpose_up()","transpose_up()"],"longSearchIndex":["music","music::chord","music::interval","music::note","music::note#-()","music::interval#-@()","music::interval#<=>()","music::note#<=>()","music::chord#==()","music::note#chromatic_idx()","music::interval#consonance?()","music::note#diatonic_idx()","music::interval#diff()","music::interval#dissonance?()","music::interval#imperfect_consonance?()","music::chord#name()","music::note#name()","music::chord::new()","music::interval::new()","music::note::new()","music::interval#normalized_number()","music::chord#notes()","music::interval#perfect_consonance?()","music::note#pitch()","music::interval#size()","music::note#to_s()","music::chord#transpose_by()","music::note#transpose_by()","music::chord#transpose_down()","music::note#transpose_down()","music::chord#transpose_up()","music::note#transpose_up()"],"info":[["Music","","Music.html","",""],["Music::Chord","","Music/Chord.html","",""],["Music::Interval","","Music/Interval.html","",""],["Music::Note","","Music/Note.html","",""],["-","Music::Note","Music/Note.html#method-i-2D","(other)","<p>@param other [Music::Note] @return [Music::Interval] @example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Note</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;E&quot;</span>) <span class=\"ruby-operator\">-</span> <span class=\"ruby-constant\">Note</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;C&quot;</span>) <span class=\"ruby-comment\">#=&gt; #&lt;Music::Interval ...</span>\n</pre>\n"],["-@","Music::Interval","Music/Interval.html#method-i-2D-40","()","<p>Returns the same inteval with changed direction.\n<p>@return [Music::Interval]\n"],["<=>","Music::Interval","Music/Interval.html#method-i-3C-3D-3E","(other)","<p>Compares intervals by their size.\n<p>@param other [Music::Interval] @example\n\n<pre>Interval.new(3, :major) &gt;  Interval.new(4, ...</pre>\n"],["<=>","Music::Note","Music/Note.html#method-i-3C-3D-3E","(other)","<p>Compares notes by their pitch.\n<p>@param other [Music::Note] @example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Note</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;C#&quot;</span>) <span class=\"ruby-operator\">==</span> <span class=\"ruby-constant\">Note</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;D♭&quot;</span>) <span class=\"ruby-comment\">#=&gt; ...</span>\n</pre>\n"],["==","Music::Chord","Music/Chord.html#method-i-3D-3D","(other)","<p>Compares the names.\n"],["chromatic_idx","Music::Note","Music/Note.html#method-i-chromatic_idx","()","<p>@return [Integer] An integer from 0 to 11\n"],["consonance?","Music::Interval","Music/Interval.html#method-i-consonance-3F","()","<p>Consonances are perfect and imperfect consonances together.\n<p>@return [Boolean]\n<p>@see #perfect_consonance? …\n"],["diatonic_idx","Music::Note","Music/Note.html#method-i-diatonic_idx","()","<p>@return [Integer] An integer from 0 to 6\n"],["diff","Music::Interval","Music/Interval.html#method-i-diff","()","<p>The actual diatonic difference. For example, seconds are numbered with ‘2`, but the actual diatonic difference …\n"],["dissonance?","Music::Interval","Music/Interval.html#method-i-dissonance-3F","()","<p>Disonances are all intervals that are not consonances.\n<p>@return [Boolean]\n<p>@see #consonance?\n"],["imperfect_consonance?","Music::Interval","Music/Interval.html#method-i-imperfect_consonance-3F","()","<p>Imperfect consonants are minor/major thirds and sixths (and their compound intervals).\n<p>@return [Boolean] …\n"],["name","Music::Chord","Music/Chord.html#method-i-name","()",""],["name","Music::Note","Music/Note.html#method-i-name","()",""],["new","Music::Chord","Music/Chord.html#method-c-new","(name)","<p>@param name [String] Name of the chord, in any form. @example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Chord</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;Cm&quot;</span>) <span class=\"ruby-operator\">==</span> <span class=\"ruby-constant\">Chord</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-string\">&quot;Cmin&quot;</span>) <span class=\"ruby-comment\">#=&gt; ...</span>\n</pre>\n"],["new","Music::Interval","Music/Interval.html#method-c-new","(number, quality)","<p>@param number [Integer] @param quality [Symbol] See the {QUALITIES} constant for the list of\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">possible</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["new","Music::Note","Music/Note.html#method-c-new","(name)","<p>@param name [String] Consists of a letter (C, D, E, F, G, A, B),\n\n<pre>accidental (# or ♭) and octave (any integer).</pre>\n"],["normalized_number","Music::Interval","Music/Interval.html#method-i-normalized_number","()",""],["notes","Music::Chord","Music/Chord.html#method-i-notes","()","<p>@return [Array&lt;Music::Note&gt;]\n"],["perfect_consonance?","Music::Interval","Music/Interval.html#method-i-perfect_consonance-3F","()","<p>Perfect consonants are perfect unisons, fourths and fifths (and their compound intervals).\n<p>@return [Boolean] …\n"],["pitch","Music::Note","Music/Note.html#method-i-pitch","()","<p>Internal integer representation on the note.\n<p>@return [Integer]\n"],["size","Music::Interval","Music/Interval.html#method-i-size","()","<p>Returns the number of semitones that interval covers.\n<p>@return [Integer]\n"],["to_s","Music::Note","Music/Note.html#method-i-to_s","()",""],["transpose_by","Music::Chord","Music/Chord.html#method-i-transpose_by","(interval)","<p>@param interval [Music::Interval] @return [Music::Note] @example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">major_third</span> = <span class=\"ruby-constant\">Interval</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">3</span>, <span class=\"ruby-value\">:major</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["transpose_by","Music::Note","Music/Note.html#method-i-transpose_by","(interval)","<p>@param interval [Music::Interval] @return [Music::Note] @example\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">major_third</span> = <span class=\"ruby-constant\">Interval</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">3</span>, <span class=\"ruby-value\">:major</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["transpose_down","Music::Chord","Music/Chord.html#method-i-transpose_down","(interval)","<p>@param (see #transpose_by) @return (see #transpose_by)\n<p>@see #transpose_by\n"],["transpose_down","Music::Note","Music/Note.html#method-i-transpose_down","(interval)","<p>@param (see #transpose_by) @return (see #transpose_by)\n<p>@see #transpose_by\n"],["transpose_up","Music::Chord","Music/Chord.html#method-i-transpose_up","(interval)","<p>@param (see #transpose_by) @return (see #transpose_by)\n<p>@see #transpose_by\n"],["transpose_up","Music::Note","Music/Note.html#method-i-transpose_up","(interval)","<p>@param (see #transpose_by) @return (see #transpose_by)\n<p>@see #transpose_by\n"]]}}